//---------------------------------------------------------------------------
#ifndef CP_classH
#define CP_classH
//---------------------------------------------------------------------------
#include "plugin.hpp"
//---------------------------------------------------------------------------
typedef struct
{
  DWORD Size;               // sizeof of this structure
  int AppletNumber;         // Applet number in .cpl
  char Filename[MAX_PATH];  // Filename of .cpl
}TCPlAppletData;

class TControlPanel
{
private:
  BOOL FFirstTime;
  PluginPanelItem *FPanelItems;
  int FPanelItemsNumber;

  void UpdateItems();
  void ReadSystemDir();

  void ClearItems();

  BOOL ProcessCPL(char *Path, WIN32_FIND_DATA &fd);
//  void Sort(PluginPanelItem *pPanelItem, int Number);
public:
  TControlPanel();
  ~TControlPanel();
  int GetFindData(PluginPanelItem **pPanelItem, int *pItemsNumber, int OpMode);
  void GetOpenPluginInfo(OpenPluginInfo *Info);
  int SetDirectory(char *Dir, int OpMode);
  int ProcessKey(int Key, unsigned int ControlState);
};
//---------------------------------------------------------------------------
#endif