//---------------------------------------------------------------------------
#ifndef CP_PlugH
#define CP_PlugH 
//---------------------------------------------------------------------------
#include "Plugin.hpp"
//---------------------------------------------------------------------------
extern "C"
{
  void __stdcall __declspec(dllexport) SetStartupInfo(PluginStartupInfo *Info);
  HANDLE __stdcall __declspec(dllexport) OpenPlugin(int OpenFrom, int Item);
  void __stdcall __declspec(dllexport) ClosePlugin(HANDLE hPlugin);
  int __stdcall __declspec(dllexport) GetFindData(HANDLE hPlugin, PluginPanelItem **pPanelItem, int *pItemsNumber, int OpMode);
  void __stdcall __declspec(dllexport) GetPluginInfo(PluginInfo *Info);
  void __stdcall __declspec(dllexport) GetOpenPluginInfo(HANDLE hPlugin, OpenPluginInfo *Info);
  int __stdcall __declspec(dllexport) SetDirectory(HANDLE hPlugin, char *Dir, int OpMode);
  int __stdcall __declspec(dllexport) ProcessKey(HANDLE hPlugin, int Key, unsigned int ControlState);
  int __stdcall __declspec(dllexport) Configure(int ItemNumber);

};
//---------------------------------------------------------------------------
char* GetMsg(int MsgId);
//---------------------------------------------------------------------------
extern PluginStartupInfo g_StartupInfo;
extern char PluginRootKey[80];
//---------------------------------------------------------------------------
#endif