//---------------------------------------------------------------------------
#include <windows.h>
#include <stdio.h>
#include <dos.h>

#include "plugin.hpp"

#include "CP_Plug.h"
#include "CP_lng.h"
#include "CP_reg.h"
#include "CP_cfg.h"
#include "CP_plug.h"
#include "CP_class.h"
//---------------------------------------------------------------------------
PluginStartupInfo g_StartupInfo;
char PluginRootKey[80];
//---------------------------------------------------------------------------
char* GetMsg(int MsgId)
{
  return g_StartupInfo.GetMsg(g_StartupInfo.ModuleNumber, MsgId);
}
//---------------------------------------------------------------------------
void __stdcall __declspec(dllexport) SetStartupInfo(PluginStartupInfo *Info)
{
  ::g_StartupInfo = *Info;

  sprintf(PluginRootKey, "%s\\ControlPanel", Info->RootKey);
  Options.AddToDisksMenu = GetRegKey(HKEY_CURRENT_USER, "", "AddToDisksMenu", 1);
  Options.DisksMenuDigit = GetRegKey(HKEY_CURRENT_USER, "", "DisksMenuDigit", 1);
  Options.UseControlIni = GetRegKey(HKEY_CURRENT_USER, "", "UseControlIni", 0);
}
//---------------------------------------------------------------------------
void __stdcall __declspec(dllexport) GetPluginInfo(PluginInfo *Info)
{
  Info->StructSize = sizeof(PluginInfo);
  Info->Flags = 0;

  static char *DiskMenuStrings[1];
  DiskMenuStrings[0] = GetMsg(MDiskMenuString);
  static int DiskMenuNumbers[1];
  Info->DiskMenuStrings = DiskMenuStrings;
  DiskMenuNumbers[0] = Options.DisksMenuDigit;
  Info->DiskMenuNumbers = DiskMenuNumbers;
  Info->DiskMenuStringsNumber = Options.AddToDisksMenu ? 1 : 0;

  static char *PluginMenuStrings[1];
  PluginMenuStrings[0] = GetMsg(MControlPanel);
  Info->PluginMenuStrings = PluginMenuStrings;
  Info->PluginMenuStringsNumber = sizeof(PluginMenuStrings)/sizeof(PluginMenuStrings[0]);

  static char *PluginCfgStrings[1];
  PluginCfgStrings[0] = GetMsg(MControlPanel);
  Info->PluginConfigStrings = PluginCfgStrings;
  Info->PluginConfigStringsNumber = sizeof(PluginCfgStrings)/sizeof(PluginCfgStrings[0]);
}
//---------------------------------------------------------------------------
int __stdcall __declspec(dllexport) Configure(int ItemNumber)
{
  switch(ItemNumber)
  {
    case 0:
      return Config();
  }
  return FALSE;
}
//---------------------------------------------------------------------------
HANDLE __stdcall __declspec(dllexport) OpenPlugin(int OpenFrom, int Item)
{
  HANDLE hPlugin = new TControlPanel();
  return (hPlugin == NULL ? INVALID_HANDLE_VALUE : hPlugin);
}
//---------------------------------------------------------------------------
void __stdcall __declspec(dllexport) ClosePlugin(HANDLE hPlugin)
{
  delete (TControlPanel*)hPlugin;
}
//---------------------------------------------------------------------------
int __stdcall __declspec(dllexport) GetFindData(HANDLE hPlugin, PluginPanelItem **pPanelItem, int *pItemsNumber, int OpMode)
{
  return ((TControlPanel*)hPlugin)->GetFindData(pPanelItem, pItemsNumber, OpMode);
}
//---------------------------------------------------------------------------
void __stdcall __declspec(dllexport) GetOpenPluginInfo(HANDLE hPlugin, OpenPluginInfo *Info)
{
  ((TControlPanel*)hPlugin)->GetOpenPluginInfo(Info);
}
//---------------------------------------------------------------------------
int __stdcall __declspec(dllexport) SetDirectory(HANDLE hPlugin, char *Dir, int OpMode)
{
  return ((TControlPanel*)hPlugin)->SetDirectory(Dir, OpMode);
}
//---------------------------------------------------------------------------
int __stdcall __declspec(dllexport) ProcessKey(HANDLE hPlugin, int Key, unsigned int ControlState)
{
  return ((TControlPanel*)hPlugin)->ProcessKey(Key,ControlState);
}
//---------------------------------------------------------------------------
